
ISSUE-id - Bug #2380

Git repository parsing fails if there was not specified any fix keywords in Redmine settings

08 May 2015 11:36 - Mikhail Voronyuk

Status: Closed Start date: 08 May 2015

Priority: Major Due date: 29 Nov 2017

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.0.2   

Redmine version:  External issue:  

Description

So it was impossible to have commits with #ISSIE-123 marks.

Please see the patch that fixes the issue.

Redmine 2.5.1

Related issues:

Related to ISSUE-id - Bug #2376: Errors when used with redmine 3 Closed 10 Apr 2015 07 Dec 2017

Duplicated by ISSUE-id - Bug #2418: commit_fix_keywords removed from Redmine 3 Closed

Associated revisions

Revision 27 - 29 Nov 2017 15:34 - Andriy Lesyuk

Fixes for Redmine 3.3 (#ISSUE-8 and #ISSUE-12, #ISSUE-9 and #ISSUE-13)

History

#1 - 19 Jul 2016 15:00 - Mikhail Voronyuk

Fixed in this fork

https://github.com/VoronyukM/issue_id

#2 - 28 Aug 2016 17:13 - Andriy Lesyuk

- Status changed from New to Open

- Assignee set to Andriy Lesyuk

- Target version set to 0.0.2

#3 - 29 Nov 2017 15:23 - Andriy Lesyuk

- Duplicates Bug #ISSUE-13: commit_fix_keywords removed from Redmine 3 added

#4 - 29 Nov 2017 15:26 - Andriy Lesyuk

- Duplicates deleted (Bug #ISSUE-13: commit_fix_keywords removed from Redmine 3)

#5 - 29 Nov 2017 15:26 - Andriy Lesyuk

- Duplicated by Bug #ISSUE-13: commit_fix_keywords removed from Redmine 3 added

#6 - 29 Nov 2017 15:27 - Andriy Lesyuk

- Status changed from Open to In Progress

- Priority changed from Normal to Major

#7 - 29 Nov 2017 15:35 - Andriy Lesyuk

- Due date set to 29 Nov 2017

- Status changed from In Progress to Closed
- % Done changed from 0 to 100

#8 - 30 Nov 2017 23:12 - Andriy Lesyuk

- Related to Bug #ISSUE-8: Errors when used with redmine 3 added

Files

0001-fixed-a-bug-if-there-are-no-fix-keywords-there-will-.patch 1.23 KB 08 May 2015 Mikhail Voronyuk
